UNIT uZaehler;
(* ******************************************************************** *)
(* K L A S S E : TZaehler                                               *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.0                                                    *)
(* Autor       : S. Spolwig, OSZ-Handel I,  10997 Berlin                *)
(* Aufgabe     : stellt ein Objekt fuer ganze Zahlen zur Verfuegung.    *)
(* Compiler    : Turbo Pascal 7.0 / MSDOS  / DELPHI                     *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES uSpielZahl;

type
   TZaehler = class (TSpielzahl)
                constructor Init ;
                procedure SetNull ;   virtual;
                procedure Erhoehen;   virtual;
              end;


IMPLEMENTATION
(* ==================================================================== *)

constructor TZaehler.Init ;
(* -------------------------------------------------------------------- *)
begin
  inherited Init;
end;

procedure TZaehler.SetNull;
(* -------------------------------------------------------------------- *)
begin
  Wert := 0;
end;

procedure TZaehler.Erhoehen;
(* -------------------------------------------------------------------- *)
begin
  inc(Wert);
end;

END. (* Unit *)
